
D4Science Infrastructure - Support #2467

Release StatMan Algorithms for 3.10.1

Mar 02, 2016 12:28 PM - Gianpaolo Coro

Status: Closed Start date: Mar 02, 2016

Priority: Normal Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Infrastructure: Production   

Description

New algorithms should be released in 3.10.1 which include:

1 - Ecopath with Ecosim

2 - Absences estimation from OBIS

3 - ESRI-GRID extraction

You can follow these passages to manually update StatMan:

Download the following dependencies from Maven

<dependency>

  <groupId>org.gcube.dataanalysis</groupId>

  <artifactId>ecological-engine-geospatial-extensions</artifactId>

  <version>1.3.7-3.10.1</version>

</dependency>

<dependency>

  <groupId>rapidminer-custom</groupId>

  <artifactId>AbsencegenerationfromOBIS</artifactId>

  <version>1.0.0</version>

</dependency>

<dependency>

  <groupId>org.gcube.dataanalysis</groupId>

  <artifactId>statistical-manager-ewe-integrator</artifactId>

  <version>0.0.1-3.10.1</version>

</dependency>

<dependency>

  <groupId>org.gcube.dataanalysis</groupId>

  <artifactId>ecological-engine-external-algorithms</artifactId>

  <version>1.1.8-3.10.1</version>

</dependency>

Delete ecological-engine-external-algorithms-1.1.7-3.10.0.jar

Delete ecological-engine-geospatial-extensions-1.3.6.jar

Recreate the following folders using the EcologicalEngineConfiguration package from SVN

/home/gcube/gCore/etc/statistical-manager-service-full-2.0.0-SNAPSHOT/cfg 

and 

/home/gcube/gCore/etc/statistical-manager-service-full-2.0.0-SNAPSHOT/cfg/PARALLEL_PROCESSING

put gCube Keys in PARALLEL_PROCESSING

put the gebco_08.nc file in the cfg folder as explained in the release Wiki https://gcube.wiki.gcu

be-system.org/gcube/ServiceManager_Guide

Related issues:

Related to D4Science Infrastructure - Upgrade #2462: gCubeApps VO upgrade to ... Completed Mar 02, 2016

History

#1 - Mar 02, 2016 12:29 PM - Gianpaolo Coro
- Parent task set to #2309

#2 - Mar 02, 2016 12:34 PM - Roberto Cirillo

- Related to Upgrade #2462: gCubeApps VO upgrade to gCube 3.10.1 added

#3 - Mar 02, 2016 05:24 PM - Roberto Cirillo

- Status changed from New to In Progress

#4 - Mar 02, 2016 05:29 PM - Roberto Cirillo

There are two versions of statistical-manager-ewe-integrator library released in 3.10.1: "1.0.0-3.10.1" and "0.0.1-3.10.1".

For version 1.0.0, the last upload on nexus was: today at  12:06:06 CET

For version 0.0.1, the last upload on nexus was: Fri Feb 19 at 16:29:12 CET

What is the correct version?

#5 - Mar 02, 2016 05:30 PM - Gianpaolo Coro

Please use v. 1.0.0-3.10.1

#6 - Mar 02, 2016 07:15 PM - Gianpaolo Coro

Indeed we have just realized that the AbsencegenerationfromOBIS has been corrupted (the size does not correspond to the one I downloaded for the

tests) and we will use the following instead:

<dependency>

  <groupId>rapidminer-custom</groupId>

  <artifactId>AbsencegenerationfromOBIS</artifactId>

  <version>1.0.1</version>

</dependency>

#7 - Mar 02, 2016 07:37 PM - Roberto Cirillo

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#8 - Mar 03, 2016 03:57 PM - Roberto Cirillo

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

Dec 15, 2025 2/2

http://www.tcpdf.org

